if SexyLib:IsLocalizationPresent('Classic Achievements') then return end
SexyLib:InitLocalization('Classic Achievements', {
    achievement_earned = '&aAchievement earned by %s on %d/%d/%d',
    achievement_in_progress = '&7Achievement in progress by %s',

    MINIMAP_DESCRIPTION_1 = '&7Left mouse button: &eopen/hide achievements window',
    MINIMAP_DESCRIPTION_2 = '&7Right mouse button: &eopen addon settings',
    MINIMAP_DESCRIPTION_3 = ' ',
    MINIMAP_DESCRIPTION_4 = '&3With love from Maxich :)',

    OPTION_SHARING = 'Share achievements',
    OPTION_SHARING_DESC = 'Whether to write messages in chats when receiving new achievement.',
    OPTION_UPDATE_MAP_EXPLORATION = 'Check explored locations',
    OPTION_UPDATE_MAP_EXPLORATION_DESC = 'Counts already explored locations for achievements.',

    GOT_ACHIEVEMENT_MESSAGE_MALE = 'I\'ve just earned achievement %s!',
    GOT_ACHIEVEMENT_MESSAGE_FEMALE = 'I\'ve just earned achievement %s!',

    COMPARE_ACHIEVEMENTS = 'Compare achievements',
    TARGET_DOES_NOT_HAVE_ADDON = 'Target does not have this addon installed.',

    UPDATING_EXPLORED_AREAS = 'Updating locations exploration data. This action will take a few seconds.',
    UPDATED_EXPLORED_AREAS = '&aInformation about explored locations has been updated!',

    NOT_WORKING = 'not working',

    GEAR_SLOT_HEAD = 'Headdress',
    GEAR_SLOT_NECK = 'Necklace',
    GEAR_SLOT_SHOULDER = 'Shoulders',
    GEAR_SLOT_CHEST = 'Chest armor',
    GEAR_SLOT_WAIST = 'Waist',
    GEAR_SLOT_LEGS = 'Leggings',
    GEAR_SLOT_FEET = 'Boots',
    GEAR_SLOT_WRIST = 'Wrist',
    GEAR_SLOT_HANDS = 'Gloves',
    GEAR_SLOT_FIRST_RING = 'First ring',
    GEAR_SLOT_SECOND_RING = 'Second ring',
    GEAR_SLOT_FIRST_TRINKET = 'First trinket',
    GEAR_SLOT_SECOND_TRINKET = 'Second trinket',
    GEAR_SLOT_CLOAK = 'Cloak',
    GEAR_SLOT_WEAPON = 'Weapon',

    CATEGORY_GENERAL = 'General',
    CATEGORY_QUESTS = 'Quests',
    CATEGORY_KALIMDOR = 'Kalimdor',
    CATEGORY_EASTERN_KINGDOMS = 'Eastern Kingdoms',
    CATEGORY_EXPLORATION = 'World Exploration',
    CATEGORY_PVE = 'Dungeons and Raids',
    CATEGORY_INSTANCES = 'Dungeons',
    CATEGORY_RAIDS = 'Raids',
    CATEGORY_BATTLEGROUNDS = 'Battlegrounds',
    CATEGORY_BG_ALTERAC = 'Alterac Valley',
    CATEGORY_BG_WARSONG = 'Warsong Gulch',
    CATEGORY_BG_ARATHI = 'Arathi Basin',
    CATEGORY_PROFESSIONS = 'Professions',
    CATEGORY_REPUTATION = 'Reputations',
    CATEGORY_FEATS_OF_STRENGTH = 'Feats of Strength',
    CATEGORY_EVENTS = 'Game Events',

    AN_LVL = '%dth level',
    AD_LVL = 'Reach %dth level.',

    AN_BANK = 'Bank cell',
    AD_BANK = 'Purchase all additional slots in the bank.',
    AC_BANK = 'Purchased all additional slots in the bank.',

    AN_QUESTS = '%d quests',
    AD_QUESTS = 'Complete %d quests.',
    AC_QUESTS = 'Completed %d quests.',

    AN_QUEST_GOLD5 = 'Glittering reward',
    AN_QUEST_GOLD10 = 'Collector of minted coins',
    AN_QUEST_GOLD25 = 'Breadwinner',
    AN_QUEST_GOLD50 = 'Well-deserved Gold',
    AN_QUEST_GOLD100 = 'Earned by sweat and blood',
    AD_QUEST_GOLD = 'Earn %d golden coins by completing quests.',
    AC_QUEST_GOLD = 'Earned %d golden coins by completing quests.',

    AN_QUESTS_ZONE = 'Wisdom of %s',
    AD_QUESTS_ZONE = 'Complete quest "%s" in %s.',
    AD_QUESTS_ZONE_MULTI = 'Complete the following quests in %s.',
    AC_QUESTS_ZONE = 'Completed quest "%s".',

    AZSHARA_1 = 'Azshara',
    AZSHARA_2 = 'Azshara',
    QUEST_3602 = 'Азшарит',

    FELWOOD_1 = 'Felwood',
    FELWOOD_2 = 'Felwood',
    QUEST_5165 = 'Dousing the Flames of Protection',
    QUEST_5385 = 'The Remains of Trey Lightforge',

    DESOLACE_1 = 'Desolace',
    DESOLACE_2 = 'Desolace',
    QUEST_6027 = 'Book of the Ancients',

    DUSTWALLOW_1 = 'Dustwallow marsh',
    DUSTWALLOW_2 = 'Dustwallow marsh',
    QUEST_1203 = 'Jarl Needes a Blade',

    SILITHUS_1 = 'Silithus',
    SILITHUS_2 = 'Silithus',
    QUEST_8287 = 'A Terrible Purpose',
    QUEST_8352 = 'Scepter of the Council',
    QUEST_8321 = 'Vyral the Vile',
    QUEST_8281 = 'Stepping Up Security',

    DUROTAR_1 = 'Durotar',
    DUROTAR_2 = 'Durotar',
    QUEST_835 = 'Securing the Lines',

    BARRENS_1 = 'The Barrens',
    BARRENS_2 = 'The Barrens',
    QUEST_888 = 'Stolen Booty',
    QUEST_902 = 'Samophlange',

    WINTERSPRING_1 = 'Winterspring',
    WINTERSPRING_2 = 'Winterspring',
    QUEST_975 = 'Cache of Mau\'ari',
    QUEST_5082 = 'Threat of the Winterfall',
    QUEST_5121 = 'High Chief Winterfall',
    QUEST_5163 = 'Are We There, Yeti?',
    QUEST_4842 = 'Strange Sources',

    TANARIS_1 = 'Tanaris',
    TANARIS_2 = 'Tanaris',
    QUEST_2662 = 'Noggenfogger Elixir',
    QUEST_2874 = 'Deliver to MacKinley',
    QUEST_1691 = 'More Wastewander Justice',
    QUEST_113 = 'Inspect Part Analysis',

    STONETALON_1 = 'Stonetalon mountains',
    STONETALON_2 = 'Stonetalon mountains',
    QUEST_1096 = 'Gerenzo Wrenchwhistle',

    UNGORO_1 = 'Un\'goro Crater',
    UNGORO_2 = 'Un\'goro Crater',
    QUEST_3962 = 'It\'s Dangerous to Go Alone',
    QUEST_4245 = 'Chasing A-Me 01',
    QUEST_4292 = 'The Bait for Lar\'korwi',

    THOUSAND_NEEDLES_1 = 'Thousand Needles',
    THOUSAND_NEEDLES_2 = 'Thousand Needles',
    QUEST_1189 = 'Safety First',

    ARATHI_1 = 'Arathi highland',
    ARATHI_2 = 'Arathi highland',
    QUEST_652 = 'Breaking the Keystone',

    BADLANDS_1 = 'Badlands',
    BADLANDS_2 = 'Badlands',
    QUEST_737 = 'Forbidden Knowledge',
    QUEST_778 = 'This Is Going to Be Hard',
    QUEST_656 = 'Summoning the Princess',
    
    EASTERN_PLAGUELANDS_1 = 'Eastern Plaguelands',
    EASTERN_PLAGUELANDS_2 = 'Eastern Plaguelands',
    QUEST_5942 = 'Hidden Treasures',
    QUEST_6041 = 'When Smokey Sings, I Get Violent',
    QUEST_5265 = 'The Argent Hold',

    BLASTED_LANDS_1 = 'Blasted lands',
    BLASTED_LANDS_2 = 'Blasted lands',
    QUEST_3628 = 'You Are Rakh\'likh, Demon',

    STRANGLETHORN_VALLEY_1 = 'Stranglethorn valley',
    STRANGLETHORN_VALLEY_2 = 'Stranglethorn valley',
    QUEST_208 = 'Big Game Hunter',
    QUEST_600 = 'Venture Company Mining',
    QUEST_613 = 'Cracking Maury\'s Foot',
    QUEST_628 = 'Excelsior',
    QUEST_338 = 'The Green Hills of Stranglethorn',

    WESTERN_PLAGUELANDS_1 = 'Western Plaguelands',
    WESTERN_PLAGUELANDS_2 = 'Western Plaguelands',
    QUEST_5944 = 'In Dreams',
    QUEST_5051 = 'Two Halves Become One',
    QUEST_4985 = 'The Wildlife Suffers Too',

    SEARING_GORGE_1 = 'Searing gorge',
    SEARING_GORGE_2 = 'Searing gorge',
    QUEST_3481 = 'Trinkets...',

    BLACK_ROCK_1 = 'Black Rock',
    BLACK_ROCK_2 = 'Black Rock',
    QUEST_8996 = 'Return to Bodley',

    AN_WISDOM_KEEPER = 'Loremaster',
    AD_WISDOM_KEEPER = 'Earn quest-related achievements listed below.',
    AN_WISDOM_KEEPER_KALIMDOR = 'Loremaster of the Kalimdor',
    AD_WISDOM_KEEPER_KALIMDOR = 'Earn Kalimdor\'s quests related achievements listed below.',
    AN_WISDOM_KEEPER_EASTERN_KINGDOMS = 'Loremaster of the Eastern Kingdoms',
    AD_WISDOM_KEEPER_EASTERN_KINGDOMS = 'Earn Eastern Kingdoms\' quests related achievements listed below.',

    AN_RAGEFIRE_CHASM = 'Ragefire chasm',
    AD_RAGEFIRE_CHASM = 'Defeat Jergosh the Invoker.',
    AN_WAILING_CAVERNS = 'Wailing caverns',
    AD_WAILING_CAVERNS = 'Defeat Mutanus the Devourer.',
    AN_DEAD_MINES = 'Dead mines',
    AD_DEAD_MINES = 'Defeat Edwin VanCleef.',
    AN_SHADOWFANG_KEEP = 'Shadowfang keep',
    AD_SHADOWFANG_KEEP = 'Defeat Archmage Arugal.',
    AN_BLACKFATHOM_DEEPS = 'Blackfathom deeps',
    AD_BLACKFATHOM_DEEPS = 'Defeat Aku\'mai.',
    AN_JAIL = 'The Jail',
    AD_JAIL = 'Defeat Kam Deepfury.',
    AN_GNOMREGAN = 'Gnomregan',
    AD_GNOMREGAN = 'Defeat Mekgineer Thermaplugg.',
    AN_RAZORFEN_KRAUL = 'Razorfen kraul',
    AD_RAZORFEN_KRAUL = 'Defeat Charlga Razorflank.',
    AN_SCARLET_MONASTERY = 'Scarlet monastery',
    AD_SCARLET_MONASTERY = 'Defeat the commanders at the Scarlet Monastery.',
    AC_SCARLET_MONASTERY1 = 'Bloodmage Thalnos defeated',
    AC_SCARLET_MONASTERY2 = 'Arcanist Doan defeated',
    AC_SCARLET_MONASTERY3 = 'Herod defeated',
    AC_SCARLET_MONASTERY4 = 'High Inquisitor Whitemane defeated',
    AN_RAZORFEN_DOWNS = 'Razorfen downs',
    AD_RAZORFEN_DOWNS = 'Defeat Amnennar the Coldbringer and Plaguemaw the Rotting.',
    AC_RAZORFEN_DOWNS1 = 'Amnennar the Coldbringer defeated',
    AC_RAZORFEN_DOWNS2 = 'Plaguemaw the Rotting defeated',
    AN_ULDAMAN = 'Uldaman',
    AD_ULDAMAN = 'Defeat Archaedas.',
    AN_ZULFARRAK = 'Zul\'Farrak',
    AD_ZULFARRAK = 'Defeat Chief Ukorz Sandscalp.',
    AN_MARAUDON = 'Maraudon',
    AD_MARAUDON = 'Defeat Princess Theradras.',
    AN_SUNKEN_TEMPLE = 'Sunken temple',
    AD_SUNKEN_TEMPLE = 'Defeat Shade of Eranikus.',
    AN_NEW_EMPEROR = 'New emperor',
    AD_NEW_EMPEROR = 'Kill Emperor Dagran Thaurissan.',
    AN_BLACKROCK_DEPTHS = 'Clearing the depths',
    AD_BLACKROCK_DEPTHS = 'Kill following bosses in Black Rock Depths.',
    AC_BLACKROCK_DEPTHS1 = 'High Interrogator Gerstahn killed',
    AC_BLACKROCK_DEPTHS2 = 'Houndmaster Grebmar killed',
    AC_BLACKROCK_DEPTHS3 = 'General Angerforge killed',
    AC_BLACKROCK_DEPTHS4 = 'Golem Lord Argelmach killed',
    AC_BLACKROCK_DEPTHS5 = 'Lord Incendius killed',
    AC_BLACKROCK_DEPTHS6 = 'Water Stilgiss killed',
    AC_BLACKROCK_DEPTHS7 = 'Bael\'Gar killed',
    AN_BLACKROCK_PARTY = 'Party at the deep',
    AD_BLACKROCK_PARTY = 'Defeat all listed opponents in the Grumpy Glutton Inn',
    AC_BLACKROCK_PARTY1 = 'Ribbly Screwspigot defeated',
    AC_BLACKROCK_PARTY2 = 'Plugger Spazzring defeated',
    AC_BLACKROCK_PARTY3 = 'Hurley Blackbreath defeated',
    AC_BLACKROCK_PARTY4 = 'Phalanx defeated',
    AN_BLACKROCK_DEPTHS_FULL = 'Black Rock Depths',
    AD_BLACKROCK_DEPTHS_FULL = 'Earn following achievements related to Black Rock Depths.',
    AN_ARMOR_SWORD = 'Best defense is an attack',
    AD_ARMOR_SWORD = 'Loot Stone of the Earth from the body of defeated Panzor the Invincible in Black Rock Depths.',
    AN_BLACKROCK_SPIRE_BOTTOM = 'Lower Black Rock Spire',
    AD_BLACKROCK_SPIRE_BOTTOM = 'Kill Overlord Whyrmthalak.',
    AN_BLACKROCK_SPIRE_UPPER = 'Upper Black Rock Spire',
    AD_BLACKROCK_SPIRE_UPPER = 'Kill General Drakkisath.',
    AN_BLACKROCK_SPIRE = 'Invader of the Black Rock Spire',
    AD_BLACKROCK_SPIRE = 'Earn following achievements related to Black Rock Spire.',
    AN_DIRE_MAUL = 'Ruler of the Forgotten City',
    AD_DIRE_MAUL = 'Clear all Dire Maul parts of enemies.',
    AC_DIRE_MAUL1 = 'Alzzin the Wildshaper killed',
    AC_DIRE_MAUL2 = 'Prince Tortheldrin killed',
    AC_DIRE_MAUL3 = 'King Gordok defeated',
    AN_STRATHOLME_LIVE = 'Live quarter of the Stratholme',
    AD_STRATHOLME_LIVE = 'Defeat Balnazzar.',
    AN_STRATHOLME_DEAD = 'Dead quarter of the Stratholme',
    AD_STRATHOLME_DEAD = 'Kill Baron Rivendare.',
    AN_STRATHOLME = '"Savior" of the Stratholme',
    AD_STRATHOLME = 'Earn following achievements related to Stratholme.',
    AN_SCHOLOMANCE = 'Scholomance',
    AD_SCHOLOMANCE = 'Defeat Darkmaster Gandling.',
    AN_YOUNG_DEFENDER = 'Young defender of the Azeroth',
    AD_YOUNG_DEFENDER = 'Earn low-level dungeon achievements listed below.',
    AN_DEFENDER = 'Defender of the Azeroth',
    AD_DEFENDER = 'Earn dungeon achievements listed below.',
    AR_DEFENDER = 'The unspoken title of Defender of Azeroth.',

    AN_ONYXIA = 'Onyxia\'s Lair',
    AD_ONYXIA = 'Kill Onyxia.',
    AN_AQ20 = 'Ruins of Ahn\'Qiraj',
    AD_AQ20 = 'Kill Ossirian the Unscarred.',
    AN_ZULGURUB = 'Zul\'Gurub',
    AD_ZULGURUB = 'Drive Hakkar out of this world.',
    AN_RAGNAROS = 'Molten Core',
    AD_RAGNAROS = 'Defeat Ragnaros.',
    AN_BLACK_WING_LAIR = 'Black Wing Lair',
    AD_BLACK_WING_LAIR = 'Kill Nefarian.',
    AN_AQ40 = 'Temple of Ahn\'Qiraj',
    AD_AQ40 = 'Defeat C\'thun.',
    AN_NAXXRAMAS_SPIDERS = 'Spider quarter of Naxxramas',
    AD_NAXXRAMAS_SPIDERS = 'Kill Maexxna.',
    AN_NAXXRAMAS_PLAGUE = 'Plague quarter of Naxxramas',
    AD_NAXXRAMAS_PLAGUE = 'Kill Loatheb.',
    AN_NAXXRAMAS_MILITARY = 'Naxxramas military quarter',
    AD_NAXXRAMAS_MILITARY = 'Defeat four horsemen.',
    AN_NAXXRAMAS_CONSTRUCT = 'The abomination quarter of Naxxramas',
    AD_NAXXRAMAS_CONSTRUCT = 'Kill Thaddius.',
    AN_NAXXRAMAS_LAIR = 'Frost Wyrm\'s Lair',
    AD_NAXXRAMAS_LAIR = 'Defeat Kel\'Thuzad.',
    AN_NAXXRAMAS = 'Vanquisher of Naxxramas',
    AD_NAXXRAMAS = 'Earn following Naxxramas related achievements.',
    AN_YOUNG_HERO = 'Young hero of the Azeroth',
    AD_YOUNG_HERO = 'Earn simpliest raid achievements listed below.',
    AN_BLACKROCK_MASTER = 'Lord of the Black Rock',
    AD_BLACKROCK_MASTER = 'Earn following achievements related to the Black Rock dungeons and raids.',
    AN_HERO = 'Hero of the Azeroth',
    AD_HERO = 'Earn raid achievements listed below.',
    AR_HERO = 'The unspoken title of Hero of Azeroth.',
    AN_GREAT_HERO = 'Great Hero of the Azeroth',
    AD_GREAT_HERO = 'Earn raid and dungeon achievements listed below.',
    AR_GREAT_HERO = 'The unspoken title of Great Hero of Azeroth :)',

    AN_PVP_RANK = 'PvP Rank %d',
    AD_PVP_RANK1 = 'Get the rank of Private (for alliance) or Scout (for the horde).',
    AD_PVP_RANK2 = 'Get the rank of Corporal (for alliance) or Grunt (for the horde).',
    AD_PVP_RANK3 = 'Get the rank of Sergeant.',
    AD_PVP_RANK4 = 'Get the rank of Master Sergeant (for alliance) or Senior Sergeant (for the horde).',
    AD_PVP_RANK5 = 'Get the rank of Sergeant Major (for alliance) or First Sergeant (for the horde).',
    AD_PVP_RANK6 = 'Get the rank of Knight (for alliance) or Stone Guard (for the horde).',
    AD_PVP_RANK7 = 'Get the rank of Knight-Lieutenant (for alliance) or Blood Guard (for the horde).',
    AD_PVP_RANK8 = 'Get the rank of Knight-Captain (for alliance) or Legionnaire (for the horde).',
    AD_PVP_RANK9 = 'Get the rank of Knight-Champion (for alliance) or Centurion (for the horde).',
    AD_PVP_RANK10 = 'Get the rank of Lieutenant Commander (for alliance) or Champion (for the horde).',
    AD_PVP_RANK11 = 'Get the rank of Commander (for alliance) or Lieutenant General (for the horde).',
    AD_PVP_RANK12 = 'Get the rank of Marshal (for alliance) or General (for the horde).',
    AD_PVP_RANK13 = 'Get the rank of Field Marshal (for alliance) or Warlord (for the horde).',
    AD_PVP_RANK14 = 'Get the rank of Grand Marshal (for alliance) or High Warlord (for the horde).',
    AN_PVP_FIRST_KILL = 'PvP Victory',
    AD_PVP_FIRST_KILL = 'Claim your first honorable kill.',
    AC_PVP_FIRST_KILL = 'Claimed first honorable kill',
    AN_PVP_KILLS = '%d Honorable Kills',
    AD_PVP_KILLS = 'Get %d honorable kills.',
    AC_PVP_KILLS = 'Got %d honorable kills',

    AN_MOB_KILLS_1 = 'Da killar',
    AN_MOB_KILLS_2 = 'Destroyer',
    AN_MOB_KILLS_3 = 'Crusher',
    AN_MOB_KILLS_4 = 'Head hunter',
    AN_MOB_KILLS_5 = 'Thunderstorm of the monsters',
    AN_MOB_KILLS_6 = 'Thunderstorm of all living things',
    AN_MOB_KILLS_7 = 'Omnipresent death',
    AD_MOB_KILLS = 'Kill %d monsters.',
    AC_MOB_KILLS = 'Killed %d monsters.',

    AN_REPS_1 = 'Someone likes me!',
    AD_REPS_1 = 'Raise any reputation to Exalted.',
    AC_REPS_1 = 'Raised any reputation to Exalted.',
    AN_REPS_2 = 'Two courtyards',
    AN_REPS_3 = 'Darling',
    AN_REPS_4 = 'Adored',
    AN_REPS_5 = 'Exalted',
    AN_REPS_6 = 'Venerable',
    AN_REPS_7 = 'Highly esteemed',
    AD_REPS = 'Raise %d reputations to Exalted.',
    AC_REPS = 'Raised %d reputations to Exalted.',
    AR_REPS = 'The unspoken title is akin to the title of the achievement!',

    AN_HORDE_REPS = 'Voice of the Horde',
    AD_HORDE_REPS = 'Reach Exalted with the Horde factions listed below.',
    AC_HORDE_REPS_1 = 'Exalted with Orgrimmar.',
    AC_HORDE_REPS_2 = 'Exalted with the Darkspear Tribe.',
    AC_HORDE_REPS_3 = 'Exalted with Undercity.',
    AC_HORDE_REPS_4 = 'Exalted with Thunder Bluff.',

    AN_ALLIANCE_REPS = 'Alliance Herald',
    AD_ALLIANCE_REPS = 'Reach Exalted with the Alliance factions listed below.',
    AC_ALLIANCE_REPS_1 = 'Exalted with Stormwind.',
    AC_ALLIANCE_REPS_2 = 'Exalted with Darnassus.',
    AC_ALLIANCE_REPS_3 = 'Exalted with the Gnomeregan Exiles.',
    AC_ALLIANCE_REPS_4 = 'Exalted with Ironforge.',

    AN_ARGENT_DAWN = 'Hand of Dawn',
    AD_ARGENT_DAWN = 'Reach Exalted with the Argent Dawn.',
    AN_BROOD_OF_NOZDORMU = 'Time Lord',
    AD_BROOD_OF_NOZDORMU = 'Reach Exalted with the Brood of Nozdormu.',
    AN_CENARION_CIRCLE = 'Defender of nature',
    AD_CENARION_CIRCLE = 'Reach Exalted with the Cenarion Circle.',
    AN_DARKMOON_FAIRE = 'Fulldarkmoon',
    AD_DARKMOON_FAIRE = 'Reach Exalted with the faction of Darkmoon Faire.',
    AN_ZANDALAR_TRIBE = 'Hakkar\'s horror',
    AD_ZANDALAR_TRIBE = 'Reach Exalted with the Zandalar Tribe.',
    AN_HYDRAXIANS = 'True Hydraxian',
    AD_HYDRAXIANS = 'Reach Exalted with the Hydraxian Waterlods.',
    AN_TIMBERMAW_HOLD = 'Not made of wood, but with a belly',
    AD_TIMBERMAW_HOLD = 'Reach Exalted with Timbermaw.',
    AN_PIRATES = 'Yar-r-r!',
    AD_PIRATES = 'Reach Honored with the Bloodsail Buccaneers.',
    AN_SHENDRALAR = 'Did I tell you what madness is?',
    AD_SHENDRALAR = 'Reach Exalted with Shen\'dralar.',

    AN_DEFILERS = 'For the Defilers!',
    AD_DEFILERS = 'Reach Exalted with Defilers.',
    AN_FROSTWOLF_CLAN = 'Frost wolf',
    AD_FROSTWOLF_CLAN = 'Reach Exalted with the Frostwolf Clan.',
    AN_WARSONG_OUTRIDERS = 'There is only one song',
    AD_WARSONG_OUTRIDERS = 'Reach Exalted with Warsong Outriders.',
    AN_HORDE_PVP_FRACTIONS = 'Honorary Warrior of the Horde',
    AD_HORDE_PVP_FRACTIONS = 'Reach Exalted with the following Horde Forces factions.',

    AN_LEAGUE_OF_ARATHOR = 'For Arathor!',
    AD_LEAGUE_OF_ARATHOR = 'Reach Exalted with the League of Arathor.',
    AN_STORMSPIKE_GUARD = 'Stormguard',
    AD_STORMSPIKE_GUARD = 'Reach Exalted with Stormspike Guards.',
    AN_SILVERWING_SENTINELS = 'Silver wings',
    AD_SILVERWING_SENTINELS = 'Reach Exalted with Silverwing Sentinels.',
    AN_ALLIANCE_PVP_FRACTIONS = 'Honorary Soldier of the Alliance',
    AD_ALLIANCE_PVP_FRACTIONS = 'Reach Exalted with the following Alliance Forces factions.',

    AN_BOLVAR_SLAYER = 'Coup in Stormwind',
    AD_BOLVAR_SLAYER = 'Defeat Highlord Bolvar Fordragon in Stormwind.',
    AN_MAGNI_SLAYER = 'New king',
    AD_MAGNI_SLAYER = 'Defeat King Magni Bronzebeard in Ironforge.',
    AN_MEKKATORQUE_SLAYER = 'Goblins > Gnomes',
    AD_MEKKATORQUE_SLAYER = 'Defeat High Tinker Mekkatorque in Ironforge.',
    AN_TYRANDE_SLAYER = 'Death to the priestess',
    AD_TYRANDE_SLAYER = 'Defeat Tyrande Whisperwind in Darnassus.',

    AN_ALLIANCE_KINGS_SLAYER = 'Alliance Leaders',
    AD_ALLIANCE_KINGS_SLAYER = 'Defeat the leaders of the Alliance listed below.',

    AN_THRALL_SLAYER = 'New Warchief',
    AD_THRALL_SLAYER = 'Defeat Thrall in Orgrimmar.',
    AN_VOLJIN_SLAYER = 'Death to the messenger of spirits',
    AD_VOLJIN_SLAYER = 'Defeat Vol\'jin in Orgrimmar.',
    AN_SYLVANAS_SLAYER = 'Coup in Undercity',
    AD_SYLVANAS_SLAYER = 'Defeat Lady Sylvanas Windrunner in Undercity.',
    AN_CAIRNE_SLAYER = 'Head Cow',
    AD_CAIRNE_SLAYER = 'Defeat Cairne Bloodhoof in Thunder Bluff.',

    AN_HORDE_KINGS_SLAYER = 'Horde Leaders',
    AD_HORDE_KINGS_SLAYER = 'Defeat the leaders of the Horde listed below.',

    AN_RACES_KILLER = 'Know Thy Enemy',
    AD_ALLIANCE_RACES_KILLER = 'Get a killing blow against all Alliance races.',
    AD_HORDE_RACES_KILLER = 'Get a killing blow against all Horde races.',
    AC_HUMAN_KILLED = 'Human killed',
    AC_NIGHTELF_KILLED = 'Night elf killed',
    AC_DWARF_KILLED = 'Dward killed',
    AC_GNOME_KILLED = 'Gnome killed',
    AC_ORC_KILLED = 'Orc killed',
    AC_TROLL_KILLED = 'Troll killed',
    AC_SCOURGE_KILLED = 'Undead killed',
    AC_TAUREN_KILLED = 'Tauren killed',

    AN_CLASSES_KILLER = 'That Takes Class',
    AD_CLASSES_KILLER = 'Get a killing blow on one of each class.',
    AC_WARRIOR_KILLED = 'Warrior killed',
    AC_HUNTER_KILLED = 'Hunter killed',
    AC_ROGUE_KILLED = 'Rogue killed',
    AC_PRIEST_KILLED = 'Priest killed',
    AC_MAGE_KILLED = 'Mage killed',
    AC_WARLOCK_KILLED = 'Warlock killed',
    AC_DRUID_KILLED = 'Druid killed',
    AC_PALADIN_KILLED = 'Paladin killed',
    AC_SHAMAN_KILLED = 'Shaman killed',

    AN_ALTERAC_WIN = 'Victory in the Alterac Valley',
    AD_ALTERAC_WIN = 'Win the battle for Alterac Valley.',
    AN_ALTERAC_WINS = '%d victories in the Alterac Valley',
    AD_ALTERAC_WINS = 'Win %d battles for Alterac Valley.',
    AN_WARSONG_WIN = 'Victory in the Gulch',
    AD_WARSONG_WIN = 'Win the battle for Warsong Gulch.',
    AN_WARSONG_WINS = '%d victories in the Gulch',
    AD_WARSONG_WINS = 'Win %d battles for Warsong Gulch.',
    AN_ARATHI_WIN = 'Victory in the Basin',
    AD_ARATHI_WIN = 'Win the battle for Arathi Basin.',
    AN_ARATHI_WINS = '%d victories in the Basin',
    AD_ARATHI_WINS = 'Win %d battles for Arathi Basin.',

    AN_ALTERAC_KILLING_BLOWS = 'Valley Meat Grinder',
    AD_ALTERAC_KILLING_BLOWS = 'Make %d killing blows in a single battle for Alterac Valley and stay to the end of the battle.',
    AN_ALTERAC_GRAVEYARD_ASSAULT = 'Undertaker',
    AD_ALTERAC_GRAVEYARD_ASSAULT = 'Assault the graveyard while fighting for Alterac Valley and stay before the battle is over.',
    AN_ALTERAC_GRAVEYARD_ASSAULTS = 'There are never enough coffins',
    AD_ALTERAC_GRAVEYARD_ASSAULTS = 'Assault %d graveyards in a single battle for Alterac Valley and stay to the end of the battle.',
    AN_ALTERAC_GRAVEYARD_DEFEND = 'Guardian of the deceased',
    AD_ALTERAC_GRAVEYARD_DEFEND = 'Defend the graveyard while fighting for Alterac Valley and stay before the battle is over.',
    AN_ALTERAC_GRAVEYARD_DEFENDS = 'Guardian of all the dead',
    AD_ALTERAC_GRAVEYARD_DEFENDS = 'Defend %d graveyards in a single battle for Alterac Valley and stay to the end of the battle.',
    AN_ALTERAC_TOWER_ASSAULT = 'Now it\'s mine!',
    AD_ALTERAC_TOWER_ASSAULT = 'Assault the tower while fighting for Alterac Valley and stay before the battle is over.',
    AN_ALTERAC_TOWER_ASSAULTS = 'Now it\'s all mine!',
    AD_ALTERAC_TOWER_ASSAULTS = 'Assault %d towers in a single battle for Alterac Valley and stay to the end of the battle.',
    AN_ALTERAC_TOWER_DEFEND = 'Tower keeper',
    AD_ALTERAC_TOWER_DEFEND = 'Defend the tower while fighting for Alterac Valley and stay before the battle is over.',
    AN_ALTERAC_TOWER_DEFENDS = 'Towers keeper',
    AD_ALTERAC_TOWER_DEFENDS = 'Defend %d towers in a single battle for Alterac Valley and stay to the end of the battle.',
    AN_ALTERAC_MINE_CAPTURE = 'Frozen miner',
    AD_ALTERAC_MINE_CAPTURE = 'Assault the mine while fighting for Alterac Valley and stay before the battle is over.',
    AN_ALTERAC_MINE_CAPTURES = 'Frozen pikeman',
    AD_ALTERAC_MINE_CAPTURES = 'Assault %d mines in a single battle for Alterac Valley and stay to the end of the battle.',

    AN_WARSONG_KILLS = 'Military honor',
    AD_WARSONG_KILLS = 'Get %d honorable kills in a single battle for Warsong Gulch and stay to the end of the battle.',
    AN_WARSONG_FLAG_CAPTURE = 'Flag bearer',
    AD_WARSONG_FLAG_CAPTURE = 'Capture enemies flag while fighting for Warsong Gulch and stay before the battle is over.',
    AN_WARSONG_FLAG_CAPTURES = 'Great flag bearer',
    AD_WARSONG_FLAG_CAPTURES = 'Capture enemies flag %d times in a single battle for Warsong Gulch and stay to the end of the battle.',
    AN_WARSONG_FLAG_RETURN = 'Don\'t touch!',
    AD_WARSONG_FLAG_RETURN = 'Return your fraction flag to the base while fighting for Warsong Gulch and stay before the battle is over.',
    AN_WARSONG_FLAG_RETURNS = 'Don\'t touch anything!',
    AD_WARSONG_FLAG_RETURNS = 'Return %d your fraction flags to the base in a single battle for Warsong Gulch and stay to the end of the battle.',

    AN_ARATHI_BASE_ASSAULT = 'Conquistador',
    AD_ARATHI_BASE_ASSAULT = 'Assault a construction while fighting for Arathi Basin and stay before the battle is over.',
    AN_ARATHI_BASE_ASSAULTS = 'The famous conquistador',
    AD_ARATHI_BASE_ASSAULTS = 'Assault %d constructions in a single battle for Arathi Basin and stay to the end of the battle.',
    AN_ARATHI_BASE_DEFEND = 'Sentry',
    AD_ARATHI_BASE_DEFEND = 'Defend a construction while fighting for Arathi Basin and stay before the battle is over.',
    AN_ARATHI_BASE_DEFENDS = 'Honorary sentry',
    AD_ARATHI_BASE_DEFENDS = 'Defend %d constructions in a single battle for Arathi Basin and stay to the end of the battle.',

    AN_BGS_KILLING_BLOWS = 'Deathbringer',
    AD_BGS_KILLING_BLOWS = 'Make %d killing blows on battlegrounds you did not leave.',
    AN_BGS_KILLS = 'Honor aggregator',
    AD_BGS_KILLS = 'Get %d honorable kills on battlegrounds you did not leave.',

    PROF_FIRST_AID = 'First Aid',
    PROF_FISHING = 'Fishing',
    PROF_COOKING = 'Cooking',
    PROF_ENCHANTING = 'Enchanting',
    PROF_TAILORING = 'Tailoring',
    PROF_ENGINEERING = 'Engineering',
    PROF_LEATHERWORKING = 'Leatherworking',
    PROF_ALCHEMY = 'Alchemy',
    PROF_BLACKSMITHING = 'Blacksmithing',
    PROF_HERBALISM = 'Herbalism',
    PROF_MINING = 'Mining',
    PROF_SKINNING = 'Skinning',
    SKILL_UNARMED = 'Unarmed',

    AN_PROFS_ONE = 'Master',
    AD_PROFS_ONE = 'Raise the skill of any main profession to 300.',
    AN_PROFS_TWO = 'Handyman',
    AD_PROFS_TWO = 'Raise the skill of two main professions to 300 at the same time.',
    AC_PROFS_TWO = 'Raised the skill of two main professions to 300 at the same time.',

    AN_PROFS_FIRST_AID = 'Field doctor',
    AD_PROFS_FIRST_AID = 'Raise the skill of first aid to 300.',
    AN_PROFS_FISHING = 'Famous angler',
    AD_PROFS_FISHING = 'Raise the skill of fishing to 300.',
    AN_PROFS_COOKING = 'Chef',
    AD_PROFS_COOKING = 'Raise the skill of cooking to 300.',
    AN_PROFS_SECONDARY = 'Both the priest and the reaper',
    AD_PROFS_SECONDARY = 'Raise the skill of all secondary professions to 300 at the same time.',
    AN_PROFS_FIVE = 'Genius is brilliant in everything',
    AD_PROFS_FIVE = 'Earn profession achievements listed below.',
    AN_UNARMED_SKILL = 'Did Somebody Order a Knuckle Sandwich?',
    AD_UNARMED_SKILL = 'Raise the skill of unarmed combat to 300.',

    AN_EXPLORE_AZEROTH = 'Azeroth Explorer',
    AD_EXPLORE_AZEROTH = 'Explore the world of Azeroth!',
    AN_EXPLORE_KALIMDOR = 'Kalimdor Explorer',
    AD_EXPLORE_KALIMDOR = 'Explore locations of Kalimdor listed below.',
    AN_EXPLORE_EASTERN_KINGDOMS = 'Eastern Kingdoms Explorer',
    AD_EXPLORE_EASTERN_KINGDOMS = 'Explore locations of Eastern Kingdoms listed below.',
    AD_EXPLORE = 'Explore %s.',

    AN_SULFURAS = 'Sulfuras, Hand of Ragnaros',
    AD_SULFURAS = 'Wielder of Sulfuras, Hand of Ragnaros.',
    AN_THUNDER_FURY = 'Thunderfury, Blessed Blade of the Windseeker',
    AD_THUNDER_FURY = 'Wielder of Thunderfury, Blessed Blade of the Windseeker.',
    AN_ATIESH = 'Atiesh, Greatstaff of the Guardian',
    AD_ATIESH = 'Wielder of Atiesh, Greatstaff of the Guardian.',
    AN_BLACK_SCARAB = 'Scarab Lord',
    AD_BLACK_SCARAB = 'Wielder of Black Qiraji Resonating Crystal.',
    AN_RED_SCARAB = 'Why? Because It\'s Red!',
    AD_RED_SCARAB = 'Wielder of Red Qiraji Resonating Crystal.',
    
    AN_UNCOMMON_GEAR = 'Not so ordinary anymore',
    AD_UNCOMMON_GEAR = 'Equip yourself with items of uncommon or higher quality.',
    AN_RARE_GEAR = 'Superior',
    AD_RARE_GEAR = 'Equip yourself with items of rare (superior) or higher quality.',
    AN_EPIC_GEAR = 'Epic',
    AD_EPIC_GEAR = 'Equip yourself with items of epic or higher quality.'
})
